12.03.2015 Authorship by Mike 387 314

The first release candidate of rails 4 is out!

Rails 4 prefers ruby 2 and ruby 1.9.3 is the minimal requirement. The focus for this release was making it faster. So that you do not need to rely on client side javascript with json to have good performance. It now includes Russian-Doll-Caching and  turbolinks.

Also security issues are considered. Now the session store is encrypted by default, there is better assignment-attack prevention.

The final release should be released in about 3 to 4 weeks. An upgrade guide how to convert from rails 3.2 to rails 4 is available.

You can install the release candidate without the documentation with:
gem install rails --version 4.0.0.rc1 --no-ri --no-rdoc